summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-03-14 23:58:18 +1100
committerMichael Palimaka <kensington@gentoo.org>2016-03-15 00:55:07 +1100
commitf33b8f6ef9f6d3b00c6392090cff0b78934343ea (patch)
tree81b9db7b36d4e04c7d26200b65b46e5b31c5d7b1 /dev-libs/mimetic
parentwww-apps/kibana-bin: bump to version 4.1.6/4.4.2 (diff)
downloadgentoo-f33b8f6ef9f6d3b00c6392090cff0b78934343ea.tar.gz
gentoo-f33b8f6ef9f6d3b00c6392090cff0b78934343ea.tar.bz2
gentoo-f33b8f6ef9f6d3b00c6392090cff0b78934343ea.zip
dev-libs/mimetic: initial import
Gentoo-bug: 77168 Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-libs/mimetic')
-rw-r--r--dev-libs/mimetic/Manifest1
-rw-r--r--dev-libs/mimetic/metadata.xml10
-rw-r--r--dev-libs/mimetic/mimetic-0.9.8.ebuild44
3 files changed, 55 insertions, 0 deletions
diff --git a/dev-libs/mimetic/Manifest b/dev-libs/mimetic/Manifest
new file mode 100644
index 00000000000..2261729f6f0
--- /dev/null
+++ b/dev-libs/mimetic/Manifest
@@ -0,0 +1 @@
+DIST mimetic-0.9.8.tar.gz 556716 SHA256 3a07d68d125f5e132949b078c7275d5eb0078dd649079bd510dd12b969096700 SHA512 4157eecb3e26af314d475c91192a357d6da35271a07a07b037d5037e9af84952ce2636874e86df0e94e8887dcfdb8f594a1ba04e6448181e436b0e2675f48f58 WHIRLPOOL 3d06273c59c5dc8aff0fe047b10dfb2dfc07ad3e33f4ddbef1330d79dfe19fbf5cb817b82425da21fef15c196a0683b67bf111864cd261223d2fe4297aa7d13a
diff --git a/dev-libs/mimetic/metadata.xml b/dev-libs/mimetic/metadata.xml
new file mode 100644
index 00000000000..135955cbf67
--- /dev/null
+++ b/dev-libs/mimetic/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>jkt@gentoo.org</email>
+ </maintainer>
+ <maintainer type="person">
+ <email>kensington@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-libs/mimetic/mimetic-0.9.8.ebuild b/dev-libs/mimetic/mimetic-0.9.8.ebuild
new file mode 100644
index 00000000000..f3a66a6be22
--- /dev/null
+++ b/dev-libs/mimetic/mimetic-0.9.8.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="C++ MIME library designed to be easy to use and integrate, fast and efficient."
+HOMEPAGE="http://www.codesink.org/mimetic_mime_library.html"
+SRC_URI="http://www.codesink.org/download/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+DEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ default
+
+ sed -i -e "s|../doxygen.css|doxygen.css|" doc/header.html || die
+}
+
+src_configure() {
+ econf --disable-static
+}
+
+src_compile() {
+ default
+ use doc && emake -C doc docs
+}
+
+src_install() {
+ default
+
+ use doc && dodoc -r doc/html/
+
+ if use examples ; then
+ docinto examples
+ dodoc examples/{README,TODO,test.msg,*.cxx,*.h}
+ fi
+
+ rm "${D}"/usr/$(get_libdir)/libmimetic.la || die
+}